Subject: My teenage son doesn't let me check his smartphone. Is he trying to hide something wrong?
From: Quora Digest <[email-masked]>
To: [email-masked]
Date: Thu, 17 Sep 2020 14:37:17 +0000

Pritish's Digest
Your Quora Digest

-----

Question: My teenage son doesn't let me check his smartphone. Is he trying to hide something wrong?

Answer from Ch. Lavanya

In initial days of my son's engineering…

Me and my son were sitting in the hall and watching TV.

My son got a message on his mobile phone.

He took the phone and drew the lo
Read More: http://www.quora.com/My-teenage-son-doesnt-let-me-check-his-smartphone-Is-he-trying-to-hide-something-wrong?top_ans=140910028
-----
Question: You are to be locked in a room for 1000 years with no light, sound, or other people. You cannot age, be harmed, and don't require food, water, or sleep. You can pick one video game to pass that time, which one is it?

Answer from Kevin Rome

I have to entertain myself for 1000 years with a single video game?

My game choice has to meet certain criteria.

1. Allows outside communication through the game.
2. Provide
Read More: http://www.quora.com/You-are-to-be-locked-in-a-room-for-1000-years-with-no-light-sound-or-other-people-You-cannot-age-be-harmed-and-dont-require-food-water-or-sleep-You-can-pick-one-video-game-to-pass-that-time-which-one-is-it?top_ans=224766245
-----
Question: What are some dark secrets of Kajol Mukherjee Devgan?

Answer from Suraj Chauhan

1. Kajol has never slipped into bikini for a movie or commercial purposes. All she did was monokini and towel photoshoots.

2. Kajol is one of the four Bollywood celebrities w
Read More: http://www.quora.com/What-are-some-dark-secrets-of-Kajol-Mukherjee-Devgan?top_ans=235217378
-----
Question: I removed the HDD of my PS3 and connected it to my PC, clicked on it and it said that the HDD is denying access from my PC to open it. I put it back and system could not run correctly. Tried all 6 options in safe mode and PC command prompt, any help?

Answer from Steve Onotsky

“I removed the HDD of my PS3 and connected it to my PC, clicked on it and it said that the HDD is denying access from my PC to open it. I put it back and system could not run 
Read More: http://www.quora.com/I-removed-the-HDD-of-my-PS3-and-connected-it-to-my-PC-clicked-on-it-and-it-said-that-the-HDD-is-denying-access-from-my-PC-to-open-it-I-put-it-back-and-system-could-not-run-correctly-Tried-all-6-options-in-safe-mode?top_ans=192508064
-----
Question: I’m 16. My mum isn't answering her phone and she's been gone for 12+ hours. She said she would be home 6-7 hours ago. It’s now 6 AM. What should I do?

Answer from Kim Santana

I think you should call any family you have and let them know. Ask them if they’ve seen or heard from her. Did she say where she was going? If she was going to work maybe call
Read More: http://www.quora.com/I-m-16-My-mum-isnt-answering-her-phone-and-shes-been-gone-for-12-hours-She-said-she-would-be-home-6-7-hours-ago-It-s-now-6-AM-What-should-I-do?top_ans=226827102
-----
Question: What are 13-year-olds really doing on their phones all the time?

Answer from Liz Blanchette

I’m 13. My birth certificate certified that I was born on January 3, 2005. I don’t have a phone, unlike 95 or so percent of kids my age. However, I do have an iPod touch gen 6
Read More: http://www.quora.com/What-are-13-year-olds-really-doing-on-their-phones-all-the-time?top_ans=115058378
-----
Question: Which is better, a laptop with 512 GB SSD or one with 1TB HDD + 128GB SSD?

Answer from Brett Bergan

If you have your games (downloads) stored on an external drive and don’t need the space, a 512GB SSD is definitely the way to go.

I made a cheap little game drive last week w
Read More: http://www.quora.com/Which-is-better-a-laptop-with-512-GB-SSD-or-one-with-1TB-HDD-128GB-SSD?top_ans=232094236
-----
Question: I want to immigrate to Canada but I am young and my parents can't manage the expenses of the process, yet I really want to study. What should I do?

Answer from Valorie Lennox

You have two options and because you don’t completely control one of them, you need to allow for both. 

First, plan to study in your home country. Being an international stud
Read More: http://www.quora.com/I-want-to-immigrate-to-Canada-but-I-am-young-and-my-parents-cant-manage-the-expenses-of-the-process-yet-I-really-want-to-study-What-should-I-do?top_ans=217420004
-----
Question: What is the cruelest thing Naruto Uzumaki has ever done?

Answer from Anime Motivation

Since I’m new to Naruto this is an EASY one because it’s fresh in my memory.

At some point in Naruto Shippuden in the beginning, Naruto meets Shino, Hinata and Kiba after the
Read More: http://www.quora.com/What-is-the-cruelest-thing-Naruto-Uzumaki-has-ever-done?top_ans=225691369
-----
Question: Is an external SSD as fast as an internal SSD?

Answer from Erwin Anciano

It depends.

Today, there are three main types of external drive interface. They are:

 * USB3.0 - the speed limit of USB 3.0 is 625MB/s. USB3.1 also goes up to 1.2GB/s. You m
Read More: http://www.quora.com/Is-an-external-SSD-as-fast-as-an-internal-SSD?top_ans=236513514
-----

-----
To control which emails we send you, visit: https://www.quora.com/qemail/track_click?aoid&aoty=14&aty=4&cp=0&ct=1600353434031715&et=2&id=342fabb1a53b45c1b309a6c6c5f6fbf7&request_id=1603381056753912643&source&src=1&st=1600353434031715&stories=1_LBQhIXsbVGQ%7C1_3qeLSNVIU7x%7C1_okW99JYMMRj%7C1_IuAv1aMVSZu%7C1_aFvuJilMwKA%7C1_LDT3NlTFoLK%7C1_jO0jmAOOhMU%7C1_o6SezRMbVOd%7C1_mFp21yo4qF8%7C1_mdDyGfxJE4u&ty&ty_data&uid=FBLnBubrIia&v=0

To unsubscribe from this type of email, visit: http://www.quora.com/email_optout/qemail_unsubscribe?email_track_id=342fabb1a53b45c1b309a6c6c5f6fbf7&t=1600353434468304&token=37d0d2828bdd84823223b9ce781b5caddfef4ec8ff69ec84284b30c237b5bfe2201d966c69e89f8b8c37e91014d7e36f06d96d50ee07255e4bc736f1198240e5&type=2&uid=1260103732